<?php

    /**
     * $herp02['methnr']==
     * 1 Συγκριτικά Χαρακτηριστικά
     * 2 Περιγραφή Προϊόντος
     * 3 Tεχνικά Χαρακτηριστικά
     * 4 Aντιστοιχίες Προιόντος
     * 5 Προϊόντα Οδηγού
     * 6 Διαθεσιμότητα από αποθηκευτικούς χώρους ανά Χρώμα/...
     * 7 Eμφάνιση Πολιτικής Δόσεων
     * 8 Tεχνικά Χαρακτηριστικά (Ολον των Προιόντων που απο...
     * 9 Προϊόντα Σύνταγης
     * 10 Εκδήλωση Ενδιαφέροντος
     * 11 Eμφάνιση Gallery Φωτογραφιών
     * 12 Eμφάνιση Video Gallery
     * 13 Προϊόντα Συνταγής σε λίστα
     * 14 Photo Eίδων ανα κατηγορία
     * 16 Εμφάνιση κειμένου
     * 17 Αρχεία
     * 18 Αξιολόγηση
     * 19 Εμφάνιση ειδικών κωδικών
     */
    $quickview_id = '';
    if($quickview_en==1){
        $quickview_id = '_qview';
    }
    
    $omada0 = $i00['p9901'];
    $omada1 = $i00['p9902'];
    $omada2 = $i00['p910'];
    $omada3 = $i00['p911'];
    
    $tab_text   = '';
    $tab_script = '';
    
    if($_SESSION['lang']=='GR'){
        $p00_fld = 'herp02.p00,herp02.p30' ;
    }elseif($_SESSION['lang']=='EN'){
        $p00_fld = 'herp02.ep00 as p00, herp02.ep30 as p30';
    }else{
        $p00_fld = 'herp02_multi.p00 as p00, herp02_multi.p30 as p30';
    }
    
    $query  = " select herp02.nr01," .$p00_fld. ", herp02.vars , herp03.meth, herp02.meth as methnr from herp02 join herp03 on herp02.meth=herp03.nr01  ";
    //If the third language is enabled and the previous select has a record
    if($_SESSION['lang']!='GR' and $_SESSION['lang']!='EN' and !empty($i00['nr01'])){
        $query .= " join herp02_multi on herp02.nr01=herp02_multi.mnr01 and herp02_multi.lang='". $_SESSION['lang'] ."' ";
    }
    $query .= " where  herp02.p300=1 ";
    $query .= " and ( ((i21=0 or i21 IS NULL) and (i22=0 or i22 IS NULL ) and (i29=0 or i29 IS NULL )  and (i30=0 or i30 IS NULL ) )";
    $query .= " or ( i21=" . $omada0 . " and (i22=0 or i22 IS NULL ) and (i29=0 or i29 IS NULL )  and (i30=0 or i30 IS NULL ) )";
    $query .= " or ( i21=" . $omada0 . " and i22=" . $omada1. "  and (i29=0 or i29 IS NULL )  and (i30=0 or i30 IS NULL ) )";
    $query .= " or ( i21=" . $omada0 . " and i22=" . $omada1. "  and  i29=" . $omada2. "    and (i30=0 or i30 IS NULL ) )";
    $query .= " or ( i21=" . $omada0 . " and i22=" . $omada1. "  and  i29=" . $omada2. "    and i30=" . $omada3. "  ) )  ";
    $query .= " order by tax; ";
    
    $res = pegasus_mysql_query( $query );
    /*$tab_text .= '<div class="mobile_tab_navigation">';
     $tab_text .= '<a class="btn btn_tabs_collapce" data-toggle="collapse" data-target="#product_nav_tabs">
     <span class="icon-bar"></span>
     <span class="icon-bar"></span>
     <span class="icon-bar"></span>
     </a>';
     $tab_text .= '<span>'.dic_sme_more.'</span>';
     $tab_text .= '</div>';*/
    $tab_text .= '<ul id="product_nav_tabs" class="nav nav-tabs" role="tablist">';
    $i = 0;
    $active = 0;
    while ($herp02 = mysql_fetch_array($res)) {
        $active_tab=0;
        eval($herp02['vars']);
        $bannr01      = 'herp02_' . $herp02['nr01'];
        $method_class = 'herp03_' . $herp02['methnr'];
        
        
        if($herp02['methnr']==1){
            // 1 Συγκριτικά Χαρακτηριστικά
            if($_SESSION['lang']=='GR'){
                $i53p02 = " i53.p02 as i53p02, ";
                $i60p02 = " group_concat(i60.p02 order by i60.num_val separator ', ') as i60p02, ";
                $i39p04 = " i39.p04 as i39p04, ";
            }elseif($_SESSION['lang']=='EN'){
                $i53p02 = " i53.p03 as i53p02, ";
                $i60p02 = " group_concat(i60.p03 order by i60.num_val separator ', ') as i60p02, ";
                $i39p04 = " i39.p05 as i39p04, ";
            }else{
                $i53p02 = " i53_multi.p02 as i53p02, " ;
                $i60p02 = " group_concat(i60_multi.p02 order by i60.num_val separator ', ') as i60p02, ";
                $i39p04 = " i39_multi.p04 as i39p04, ";
            }
            
            $select_i54 = "select "
                .$i53p02
                .$i60p02
                .$i39p04 ."
                                    i53.p01 as i53p01
                                from  i53
                                left join i39 on i39.p02=i53.p01 and i39.p01='" . $i00['pno']  ."' and p06=1
                                left join i60 on i39.p08=i60.nr01
                            ";
                
                //If the third language is enabled and the previous select has a record
                if($_SESSION['lang']!='GR' and $_SESSION['lang']!='EN' and !empty($i00['nr01'])){
                    $select_i54 .= "
                        join i53_multi      on i53.nr01=i53_multi.mnr01 and i53_multi.lang='". $_SESSION['lang'] ."'
                        join i60_multi      on i60.nr01=i60_multi.mnr01 and i60_multi.lang='". $_SESSION['lang'] ."'
                        left join i39_multi on i39.nr01=i39_multi.mnr01 and i39_multi.lang='". $_SESSION['lang'] ."'
                    ";
                }
                
                if($_SESSION['lang']=='GR'){
                    $select_i54 .= " where i60.p02!='' or i39.p04!='' ";
                }elseif($_SESSION['lang']=='EN'){
                    $select_i54 .= " where i60.p03!='' or i39.p05!='' ";
                }else{
                    $select_i54 .= " where i60_multi.p02!='' or i39_multi.p04!='' ";
                }
                $select_i54 .= " group by i53.p01 order by i39.p03, i53.tax;";
                
                $i53res = mysql_query($select_i54);
                if(mysql_num_rows($i53res)>0){
                    $i++;
                    if($active_tab==1){
                        $tab_title_active = "active";
                        $tab_text_active = "active in";
                        $active++;
                    }else{
                        $tab_title_active = "";
                        $tab_text_active = "";
                    }
                    $tab_text .= '<li role="presentation" id="tab_title_'.$i.$quickview_id.'" class="tab_title ' .$tab_title_active.'">';
                    $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                    $tab_text .= $herp02['p00'];
                    $tab_text .= '</a></li>';
                    $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                    $result_text .= '<div class="' . $method_class . '">';
                    require($herp02['meth']);
                    $result_text .= '</div>';
                    $result_text .= '</div>';
                }
        }elseif($herp02['methnr']==2){
            // 2 Περιγραφή Προϊόντος
            if ($_SESSION['lang']=='GR') {
                $text = str_replace('<!--Pegasus Html Memo -->' , '' , trim($i00['px01']) ) ;
            }elseif($_SESSION['lang']=='EN'){
                $text = str_replace('<!--Pegasus Html Memo -->' , '' , trim($i00['px02']) ) ;
            }else{
                $text = str_replace('<!--Pegasus Html Memo -->' , '' , trim($i00_multi['px01']) ) ;
            }
            
            if(!empty($text)){
                $i++;
                if($active_tab==1){
                    $tab_title_active = "active";
                    $tab_text_active = "active in";
                    $active++;
                }else{
                    $tab_title_active = "";
                    $tab_text_active = "";
                }
                $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab"  class="' . $method_class . '">';
                $tab_text .= $herp02['p00'];
                $tab_text .= '</a></li>';
                $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                $result_text .= '<div class="' . $method_class . '">';
                require($herp02['meth']);
                $result_text .= '</div>';
                $result_text .= '</div>';
            }
        }elseif($herp02['methnr']==3){
            // 3 Tεχνικά Χαρακτηριστικά
            $where='';
            if (!empty($i58_p01)){
                $where = ' and i06.p107=' . $i58_p01 . ' ';
            }
            
            if ($_SESSION['lang']=='GR') {
                $checkfld='p300';
            }elseif($_SESSION['lang']=='EN') {
                $checkfld='ep300';
            }
            
            $i06count = 0;
            if( strtoupper($_SESSION['lang'])=="GR" or $_SESSION['lang']=="EN"){
                $i06count = pegasus_mysql_printfld( 'i06' , 'count(*)' ," i06.pe101='" . $i00['pno'] ."' " .  $where . " and i06." . $checkfld . "=1");
            }else{
                $i06count = pegasus_mysql_printfld( 'i06 join i06_multi on i06.nr01=i06_multi.mnr01 and i06_multi.lang="'. $_SESSION['lang'] .'" ' , 'count(*)' ," i06.pe101='" . $i00['pno'] ."' " .  $where . " and (i06.p300=1 or i06.ep300=1) and i06_multi.pe102 is not NULL");
            }
            
            if($i06count>0){
                $i++;
                if($active_tab==1){
                    $tab_title_active = "active";
                    $tab_text_active = "active in";
                    $active++;
                }else{
                    $tab_title_active = "";
                    $tab_text_active = "";
                }
                $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                $tab_text .= $herp02['p00'];
                $tab_text .= '</a></li>';
                $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                $result_text .= '<div class="' . $method_class . '">';
                require($herp02['meth']);
                $result_text .= '</div>';
                $result_text .= '</div>';
            }
        }elseif($herp02['methnr']==4 and $quickview_en!=1){
            // 4 Aντιστοιχίες Προιόντος
            if(!empty($i57nr01)){
                if ($basic=='1'){
                    pegasus_mysql_use("select count(*) as cnt from i00 join i36 on i00.pno=i36.p02 where i36.p01='". $i00['pno'] ."' and i36.p03=" . $i57nr01 . " and i00.p300=1;" , $i36cnt );
                }else{
                    pegasus_mysql_use("select count(*) as cnt from i00 join i36 on i00.pno=i36.p02 where (i36.p01='". $i00['pno'] ."' or i36.p02='". $i00['pno'] ."') and i36.p03=" . $i57nr01 . " and i00.p300=1;" , $i36cnt );
                }
                //$tab_text .=  "select count(*) as cnt from i00 join i36 on i00.pno=i36.p02 where (i36.p01='". $i00['pno'] ."' or i36.p02='". $i00['pno'] ."') and i36.p03=" . $i57nr01 . " and i00.p300=1;" ;
                if($i36cnt['cnt']>0){
                    $i++;
                    if($active_tab==1){
                        $tab_title_active = "active";
                        $tab_text_active = "active in";
                        $active++;
                    }else{
                        $tab_title_active = "";
                        $tab_text_active = "";
                    }
                    $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                    $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                    $tab_text .= $herp02['p00'];
                    $tab_text .= '</a></li>';
                    $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                    $result_text .= '<div class="' . $method_class . '">';
                    require($herp02['meth']);
                    $result_text .= '</div>';
                    $result_text .= '</div>';
                }
            }
        }elseif($herp02['methnr']==5){
            // 5 Προϊόντα Οδηγού
            $i57nr01     = $_SESSION['herp00_codig'];
            $tab_script .= "<script>
                                function addListBasket_".$i57nr01."(recs){
                                i=0;
                                while(i<recs){
                                    i++
                                    if(document.getElementById('quan_" . $i57nr01 . "_' + i).value>0){
                                            PegasusAddToBasket( document.getElementById('nr01_" .   $i57nr01 . "_' + i).value , document.getElementById('quan_" .  $i57nr01 . "_' + i).value ,  document.getElementById('i47_" .   $i57nr01 . "_' + i).value  );
                                            document.getElementById('quan_" . $i57nr01 . "_' + i).value=0;
                                    }
                                }
                                PegasusReloadBasket();
                            }
                        </script>";
            
            if(!empty($i57nr01) and $timh==0){
                pegasus_mysql_use("select count(*) as cnt from i00 join i36 on i00.pno=i36.p02 where i36.p01='". $i00['pno'] ."' or i36.p02='". $i00['pno'] ."'and p03=" . $i57nr01 . " and i00.p300=1;" , $i36cnt );
                if($i36cnt['cnt']>0){
                    $i++;
                    if($active_tab==1){
                        $tab_title_active = "active";
                        $tab_text_active = "active in";
                        $active++;
                    }else{
                        $tab_title_active = "";
                        $tab_text_active = "";
                    }
                    $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                    $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                    $tab_text .= $herp02['p00'];
                    $tab_text .= '</a></li>';
                    $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                    $result_text .= '<div class="' . $method_class . '">';
                    require($herp02['meth']);
                    $result_text .= '</div>';
                    $result_text .= '</div>';
                }
            }
        }elseif($herp02['methnr']==6){
            // 6 Διαθεσιμότητα από αποθηκευτικούς χώρους ανά Χρώμα/...
            if($_SESSION['herp00_p012']>0  and pegasus_mysql_printfld('i16' , 'count(*)' , 'i16.p300=1')>0 ){
                $i++;
                if($active_tab==1){
                    $tab_title_active = "active";
                    $tab_text_active = "active in";
                    $active++;
                }else{
                    $tab_title_active = "";
                    $tab_text_active = "";
                }
                $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                $tab_text .= $herp02['p00'];
                $tab_text .= '</a></li>';
                $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                $result_text .= '<div class="' . $method_class . '">';
                require($herp02['meth']);
                $result_text .= '</div>';
                $result_text .= '</div>';
            }
        }elseif($herp02['methnr']==7){
            // 7 Eμφάνιση Πολιτικής Δόσεων
            if(Pegasus_HermesModuleExist('banks')>0 ){
                $cnt_zt4 = pegasus_mysql_printfld('zt4' , 'count(*)' , $_SESSION['zt9_ppdose'] . "<=(" . $timh . "/p01) and p02<=( " . $timh . "/p01) and p03>( " . $timh . "/p01) and i20=" . $i00['p99']);
                if($_SESSION['zt9_ppdose']>0 and ($cnt_zt4>0)){
                    $i++;
                    if($active_tab==1){
                        $tab_title_active = "active";
                        $tab_text_active = "active in";
                        $active++;
                    }else{
                        $tab_title_active = "";
                        $tab_text_active = "";
                    }
                    $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                    $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                    $tab_text .= $herp02['p00'];
                    $tab_text .= '</a></li>';
                    $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                    $result_text .= '<div class="' . $method_class . '">';
                    require($herp02['meth']);
                    $result_text .= '</div>';
                    $result_text .= '</div>';
                }
            }
        }elseif($herp02['methnr']==8){
            // 8 Tεχνικά Χαρακτηριστικά (Ολον των Προιόντων που απο...
            $where='';
            if (!empty($i58_p01)){
                $where = ' and i06.p107=' . $i58_p01 . ' ';
            }
            
            if ($_SESSION['lang']=='GR') {
                $checkfld='p300';
            }elseif($_SESSION['lang']=='EN') {
                $checkfld='ep300';
            }
            if($_SESSION['lang']=='GR' or $_SESSION['lang']=='EN'){
                $query = 'select * from i00  left join i19 on i00.pno=i19.p00 join i06 on i00.pno=i06.pe101 or i19.p02=i06.pe101 where i00.pno="' . $i00['pno']  . '" ' .  $where . ' and i06.' . $checkfld . '=1 and i00.p300=1 order by i06.pe00;';
            }else{
                $query = 'select * from i00  left join i19 on i00.pno=i19.p00 join i06 on i00.pno=i06.pe101 or i19.p02=i06.pe101 left join i06_multi on i06.nr01=i06_multi.mnr01 and i06_multi.lang="'. $_SESSION['lang'] .'" where i00.pno="' . $i00['pno']  . '" ' .  $where . ' and (i06.p300=1 or i06.ep300=1) and i06_multi.pe102 is not NULL and i00.p300=1 order by i06.pe00;';
            }
            //echo $query ;
            $i06txt = mysql_query($query);
            if(mysql_num_rows($i06txt)>0){
                $i++;
                if($active_tab==1){
                    $tab_title_active = "active";
                    $tab_text_active = "active in";
                    $active++;
                }else{
                    $tab_title_active = "";
                    $tab_text_active = "";
                }
                $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                $tab_text .= $herp02['p00'];
                $tab_text .= '</a></li>';
                $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                $result_text .= '<div class="' . $method_class . '">';
                require($herp02['meth']);
                $result_text .= '</div>';
                $result_text .= '</div>';
            }
        }elseif($herp02['methnr']==9){
            // 9 Προϊόντα Σύνταγης
            pegasus_mysql_use("select count(*) as cnt from i00 join i19 on i00.pno=i19.p00 where i00.pno='". $i00['pno'] ."'  and i00.p300=1;" , $i36cnt );
            if($i36cnt['cnt']>0){
                $i++;
                if($active_tab==1){
                    $tab_title_active = "active";
                    $tab_text_active = "active in";
                    $active++;
                }else{
                    $tab_title_active = "";
                    $tab_text_active = "";
                }
                $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                $tab_text .= $herp02['p00'];
                $tab_text .= '</a></li>';
                $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                $result_text .= '<div class="' . $method_class . '">';
                require($herp02['meth']);
                $result_text .= '</div>';
                $result_text .= '</div>';
            }
        }elseif($herp02['methnr']==10){
            //10 Εκδήλωση Ενδιαφέροντος
            if(Pegasus_HermesModuleExist('contactus')){
                $i++;
                if($active_tab==1){
                    $tab_title_active = "active";
                    $tab_text_active = "active in";
                    $active++;
                }else{
                    $tab_title_active = "";
                    $tab_text_active = "";
                }
                $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                $tab_text .= $herp02['p00'];
                $tab_text .= '</a></li>';
                $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                if(empty($v_p30)){
                    if($_SESSION['lang']=='GR'){
                        $v_p30 = ' ' . dic_product_inter . ' ' . $i00['name'] . ', ' . $i00['p9000'] . ' (' . $i00['pno'] . ')';
                    }else{
                        $v_p30 = ' ' . dic_product_inter . ' ' . $i00['name'] . ', ' . $i00['p9000'] . ' (' . $i00['pno'] . ')';
                    }
                }
                $result_text .= '<div class="' . $method_class . '">';
                require($herp02['meth']);
                $result_text .= '</div>';
                $result_text .= '</div>';
            }
        }elseif($herp02['methnr']==11){
            // 11 Eμφάνιση Gallery Φωτογραφιών
            if(Pegasus_HermesModuleExist('pgallery') ){
                pegasus_mysql_use("select count(*) as cnt from herpg9 join herm08 on herm08.p00=herpg9.herm07 where herpg9.i00='". $i00['nr01'] ."' and herm08.preview=1;" , $herpg9 );
                if(Pegasus_HermesModuleExist('pgallery') and $herpg9['cnt']>0){
                    $i++;
                    if($active_tab==1){
                        $tab_title_active = "active";
                        $tab_text_active = "active in";
                        $active++;
                    }else{
                        $tab_title_active = "";
                        $tab_text_active = "";
                    }
                    $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                    $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                    $tab_text .= $herp02['p00'];
                    $tab_text .= '</a></li>';
                    $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                    $result_text .= '<div class="' . $method_class . '">';
                    require($herp02['meth']);
                    $result_text .= '</div>';
                    $result_text .= '</div>';
                }
            }
        }elseif($herp02['methnr']==12){
            // 12 Eμφάνιση Video Gallery
            if(Pegasus_HermesModuleExist('videos')){
                $jointmp="";
                if(pegasus_mysql_table_exist("i19")){
                    
                    $jointmp = " or herp80.i00 in (select
                            i00.nr01
                            from i19
                            join i00 on i00.pno=i19.p02 and i00.p300=1
                            where
                            i19.p00='".$i00['pno']."') ";
                }
                $joinherp80 = " join herp80 on herp80.hvid02=hvid02.nr01 and (  herp80.i00='".$i00['nr01']."' ".$jointmp." )  ";
                pegasus_mysql_use("select count(*) as cnt from hvid02 ".$joinherp80." where hvid02.preview=1 ;" , $hvid02 );
                if(Pegasus_HermesModuleExist('videos') and $hvid02['cnt']>0){
                    $i++;
                    if($active_tab==1){
                        $tab_title_active = "active";
                        $tab_text_active = "active in";
                        $active++;
                    }else{
                        $tab_title_active = "";
                        $tab_text_active = "";
                    }
                    $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                    $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                    $tab_text .= $herp02['p00'];
                    $tab_text .= '</a></li>';
                    $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                    $result_text .= '<div class="' . $method_class . '">';
                    require($herp02['meth']);
                    $result_text .= '</div>';
                    $result_text .= '</div>';
                }
            }
        }elseif($herp02['methnr']==13){
            //13 Προϊόντα Συνταγής σε λίστα
            pegasus_mysql_use("select count(*) as cnt from i00 join i19 on i00.pno=i19.p00 where i00.pno='". $i00['pno'] ."'  and i00.p300=1;" , $i36cnt );
            $tab_script .=  "<script>
                            function addListBasket_sintagi(recs){
                                i=0;
                                while(i<recs){
                                    i++
                                    if(document.getElementById('quan_sintagi_' + i).value>0){
                                            PegasusAddToBasket( document.getElementById('nr01_sintagi_' + i).value , document.getElementById('quan_sintagi_' + i).value ,  document.getElementById('i47_sintagi_' + i).value  );
                                            document.getElementById('quan_sintagi_' + i).value=0;
                                    }
                                }
                                PegasusReloadBasket();
                            }
                        </script>";
            if($i36cnt['cnt']>0){
                $i++;
                if($active_tab==1){
                    $tab_title_active = "active";
                    $tab_text_active = "active in";
                    $active++;
                }else{
                    $tab_title_active = "";
                    $tab_text_active = "";
                }
                $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                $tab_text .= $herp02['p00'];
                $tab_text .= '</a></li>';
                $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                $result_text .= '<div class="' . $method_class . '">';
                require($herp02['meth']);
                $result_text .= '</div>';
                $result_text .= '</div>';
            }
        }elseif($herp02['methnr']==14){
            //14 Photo Eίδων ανα κατηγορία
            pegasus_mysql_use("select count(*) as cnt from i02 where i02.p00='" .$i00['pno']. "' and i02.p01='" . $p01 . "' ;" , $i02 );
            if($p01>0 and $i02['cnt']>0){
                $i++;
                if($active_tab==1){
                    $tab_title_active = "active";
                    $tab_text_active = "active in";
                    $active++;
                }else{
                    $tab_title_active = "";
                    $tab_text_active = "";
                }
                $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                $tab_text .= $herp02['p00'];
                $tab_text .= '</a></li>';
                $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                $result_text .= '<div class="' . $method_class . '">';
                require($herp02['meth']);
                $result_text .= '</div>';
                $result_text .= '</div>';
            }
        }elseif($herp02['methnr']==15){
            if(Pegasus_HermesModuleExist('banks') and product_show_prices() and $timh>0){
                $amount=$timh;
                $i20=$i00['p99'];
                $query = "select * from zt4 where p02<=( " .  $amount  . "/p01) and p03>=( " .  $amount  . "/p01) and i20=" .  $i20 . " order by p01 ;";
                $tzt4 = @mysql_query ($query); // Run the query.
                if(mysql_num_rows($tzt4 )>0){
                    $i++;
                    if($active_tab==1){
                        $tab_title_active = "active";
                        $tab_text_active = "active in";
                        $active++;
                    }else{
                        $tab_title_active = "";
                        $tab_text_active = "";
                    }
                    $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                    $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                    $tab_text .= $herp02['p00'];
                    $tab_text .= '</a></li>';
                    $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                    $result_text .= '<div class="' . $method_class . '">';
                    require($herp02['meth']);
                    $result_text .= '</div>';
                    $result_text .= '</div>';
                }
            }
        }elseif($herp02['methnr']==16){
            //16 Εμφάνιση κειμένου
            $text = str_replace('<!--Pegasus Html Memo -->' , '' , trim($herp02['p30']) ) ;
            if(!empty($text)){
                $i++;
                if($active_tab==1){
                    $tab_title_active = "active";
                    $tab_text_active = "active in";
                    $active++;
                }else{
                    $tab_title_active = "";
                    $tab_text_active = "";
                }
                $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                $tab_text .= $herp02['p00'];
                $tab_text .= '</a></li>';
                $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                $result_text .= '<div class="' . $method_class . '">';
                require($herp02['meth']);
                $result_text .= '</div>';
                $result_text .= '</div>';
            }
        }elseif($herp02['methnr']==17){
            //17 Αρχεια
            if(Pegasus_HermesModuleExist('download')){
                $wherehdow = "";
                $query = makeHdow02Query($hdow01, $i00["nr01"], $i00["pno"]);
                //echo $query;
                pegasus_mysql_use("select count(*) as cnt from (". $query .") as ttt  ;" , $hdow );
                if($hdow['cnt']>0){
                    $i++;
                    if($active_tab==1){
                        $tab_title_active = "active";
                        $tab_text_active = "active in";
                        $active++;
                    }else{
                        $tab_title_active = "";
                        $tab_text_active = "";
                    }
                    $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                    $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                    $tab_text .= $herp02['p00'];
                    $tab_text .= '</a></li>';
                    $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                    $result_text .= '<div class="' . $method_class . '">';
                    require($herp02['meth']);
                    $result_text .= '</div>';
                    $result_text .= '</div>';
                }
            }
        }elseif($herp02['methnr']==18){
            // 18 Αξιολόγηση
            if(Pegasus_HermesModuleExist('rating')){
                $wherehdow = "";
                $rating_query = 'select rating01.*,
                                     rating02.p02 as score,
                                     rating02.p01 as rate,
                                     rating02.nr01 as rate_nr01,
                                     d00.p19 as d00p19,
                                     d00.p2 as d00p2,
                                     d00.p3 as d00p3
                     from rating01
                     left join d00 on rating01.d00_nr01 = d00.nr01
                     left join rating02 on rating01.rating02_nr01=rating02.nr01
                     where rating01.p300=1 and rating01.i00_nr01='.$i00["nr01"].' order by remdate desc, remtime desc';
                
                $count_query = '
                        select  rating_search.cnt as ratings_count,
                                rating_search.s_score/rating_search.cnt as mo,
                                ABS(rating02.p02 - (rating_search.s_score/rating_search.cnt)) as distance,
                                rating02.p01 as mo_title
                        from (
                            select  count(*) as cnt,
                                    sum(rating_cnt.score) as s_score
                            from ('. $rating_query .') as rating_cnt
                        )as rating_search
                        join rating02
                        order by distance limit 1';
                pegasus_mysql_use($count_query, $rating_cnt);
                $i++;
                if($active_tab==1){
                    $tab_title_active = "active";
                    $tab_text_active = "active in";
                    $active++;
                }else{
                    $tab_title_active = "";
                    $tab_text_active = "";
                }
                $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="rating_tab_title tab_title ' .$tab_title_active.'">';
                /*if($_SESSION['z30nr']>0)*/
                $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                /*else
                 $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="LoginPopup">';*/
                $tab_text .= $herp02['p00'];
                $tab_text .= '</a></li>';
                $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                $result_text .= '<div class="' . $method_class . '">';
                require($herp02['meth']);
                $result_text .= '</div>';
                $result_text .= '</div>';
            }
            
        }elseif($herp02['methnr']==19){
            // 19 Εμφάνιση ειδικών κωδικών
            if(Pegasus_HermesModuleExist('invspcodes')){
                $invspcodes_cnt = pegasus_mysql_printfld('i08', 'count(*)', ' pe01="'.$i00["pno"].'" ');
                if($invspcodes_cnt>0){
                    $i++;
                    if($active_tab==1){
                        $tab_title_active = "active";
                        $tab_text_active = "active in";
                        $active++;
                    }else{
                        $tab_title_active = "";
                        $tab_text_active = "";
                    }
                    
                    $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="rating_tab_title tab_title ' .$tab_title_active.'">';
                    $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                    
                    $tab_text .= $herp02['p00'];
                    $tab_text .= '</a></li>';
                    $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                    $result_text .= '<div class="' . $method_class . '">';
                    require($herp02['meth']);
                    $result_text .= '</div>';
                    $result_text .= '</div>';
                    
                }
            }
        }elseif($herp02['methnr']==100){
            pegasus_mysql_use("select count(*) as cnt from i00 join i19 on i00.pno=i19.p00 where i00.pno='". $i00['pno'] ."'  and i00.p300=1;" , $i19cnt );
            if($i19cnt['cnt']>0){
                $i++;
                if($active_tab==1){
                    $tab_title_active = "active";
                    $tab_text_active = "active in";
                    $active++;
                }else{
                    $tab_title_active = "";
                    $tab_text_active = "";
                }
                $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                $tab_text .= $herp02['p00'];
                $tab_text .= '</a></li>';
                $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                $result_text .= '<div class="' . $method_class . '">';
                require($herp02['meth']);
                $result_text .= '</div>';
                $result_text .= '</div>';
            }
        }elseif($herp02['methnr']==101){
            pegasus_mysql_use("select count(*) as cnt from i00 left join i19 on i00.pno=i19.p02  where i19.p00='". $i00['pno'] ."' and i00.p300=1 and i00.pno like 'PE.%'", $i19cnt );
            if($i19cnt['cnt']>0){
                $i++;
                if($active_tab==1){
                    $tab_title_active = "active";
                    $tab_text_active = "active in";
                    $active++;
                }else{
                    $tab_title_active = "";
                    $tab_text_active = "";
                }
                $tab_text .= '<li role="presentation" id="tab_title_'.$i.'" class="tab_title ' .$tab_title_active.'">';
                $tab_text .= '<a href="#tab_'.$i.$quickview_id.'" aria-controls="tab_'.$i.$quickview_id.'" role="tab" data-toggle="tab" class="' . $method_class . '">';
                $tab_text .= $herp02['p00'];
                $tab_text .= '</a></li>';
                $result_text .= '<div role="tabpanel" class="tab-pane fade ' .$tab_text_active.'" id="tab_'.$i.$quickview_id.'">';
                $result_text .= '<div class="' . $method_class . '">';
                require($herp02['meth']);
                $result_text .= '</div>';
                $result_text .= '</div>';
            }
        }
    }
    
    $tab_text .= '</ul>';
    $tab_text .= '<div class="tab-content pg_container">';
    $tab_text .= $result_text;
    $tab_text .= '</div>';
    
    
    
    
    //if($active==0){
    $tab_script_collapse  = '<script>';
    $tab_script_collapse .= '
            jQuery(document).ready(function(){
                jQuery("#maincolumn_table #product_nav_tabs a:first").tab("show");
                jQuery("#maincolumn_table #product_nav_tabs").tabCollapse({
                    tabsClass: \'pg_desktop_only\',
                    accordionClass: \'pg_mobile_only\'
                });
        
                jQuery(\'<i class="fa"></i>\').appendTo(\'#maincolumn_table #product_nav_tabs a\').css({"float":"right"});
            });';
    $tab_script_collapse .= '</script>';
    
    
    $tab_script_collapse_qv  = '<script type="text/javascript">';
    $tab_script_collapse_qv .='jQuery(document).ready(function(){';
    $tab_script_collapse_qv .= 'jQuery(".modal #product_nav_tabs").tabCollapse({
                                            tabsClass: \'hide\'
                                        });
                                        jQuery(\'<i class="fa"></i>\').appendTo(\'.modal #product_nav_tabs a\').css({"float":"right"});';
    $tab_script_collapse_qv .='});';
    $tab_script_collapse_qv .= '</script>';
    
    
    
    $tab_script .= '<script type="text/javascript">';
    $tab_script .= 'jQuery(document).unbind("shown-accordion.bs.tabcollapse.tabAccordionEvent");
                            jQuery(document).bind("shown-accordion.bs.tabcollapse.tabAccordionEvent",function (e) {
        
                                jQuery("#product_nav_tabs-accordion div.panel").each(function( index ) {
        
                                   if (jQuery(this).find(\'.in\').hasClass(\'in\')) {
                                       jQuery(this).find(\'.fa\').removeClass(\'fa-plus\');
                                       jQuery(this).find(\'.fa\').addClass(\'fa-minus\');
        
                                   }else{
                                       jQuery(this).find(\'.fa\').removeClass(\'fa-minus\');
                                       jQuery(this).find(\'.fa\').addClass(\'fa-plus\');
                                   }
        
                               });
        
                               jQuery(\'#product_nav_tabs-accordion .panel-heading\').on( "click", function(){
                                  //console.log(this);
                                  isclosed = 0;
                                  if(jQuery(this).find(\'.fa\').hasClass(\'fa-plus\')){
                                    isclosed = 1;
                                  }
        
                                  jQuery(\'#product_nav_tabs-accordion .panel-heading .fa\').removeClass(\'fa-minus\');
                                  jQuery(\'#product_nav_tabs-accordion .panel-heading .fa\').addClass(\'fa-plus\');
        
                                  if(isclosed==1){
                                    jQuery(this).find(\'.fa\').removeClass(\'fa-plus\');
                                    jQuery(this).find(\'.fa\').addClass(\'fa-minus\');
                                  }
        
                                });
                            });';
    $tab_script .= '</script>';
    
    
    
    
    //}
    $tab_script .= $tab_script_collapse;
    if($quickview_en==1){
        $tab_script .= $tab_script_collapse_qv;
    }
    
    $tab_text .= $tab_script;
?>