<!-- sitemap Kernel -->
<?php
    function sitemap_kernel($p04) {
                
        if(! (@get_class($_SESSION['kernelclass']) == 'kernelclass') ){
            $kernelclass = new kernelclass();
        }else{
            $kernelclass = $_SESSION['kernelclass'];
        }
        $kernelclass->kernel_omades_array($p04);
        $omades_arr = $kernelclass->menu_omades_arr;         
        
        /* Ομάδες επιλογών. Συμπεριλαμβάνονται οι υποομάδες και οικογένειες */
        $count = 0;
        foreach ($omades_arr as $herd01nr01 => $omada) {             
            if($omada['type']==2){
                /* Η ομάδα είναι τύπου σύνδεσμος */
                $url = pegasus_getUrl('', 0, $omada['z21pcode']);
                $herd01pcode = $omada['z21pcode'];
            }else{
                /* Η ομάδα είναι τύπου κείμενο */
                $url = pegasus_getUrl('herd01', $herd01nr01);
                $herd01pcode = pegasus_mysql_printfld('z21', 'pcode', ' nr='.$herd01nr01.' and tb="herd01" ');
            }
            if(empty($url)){
                /* Αν δεν υπάρχει url τότε βάζουν # για να μην χαλάσουν τα elements */
                $url = '#';
            } 
            $count++;
            if($count==1){
                $extra_class = 'wow zoomIn';
            }elseif($count==2){
                $extra_class = 'wow slideInRight';
            }elseif($count==3){
                $extra_class = 'wow slideInUp';
            }  
             
            /* display omades */
            echo '<div id="map'.$count.'" class="sitemap_fun '.$extra_class.'">';
            echo '<div id="title'.$count.'" class="sitemap_titles"><a href="'.$url.'">';
            if($_SESSION['lang']=='EN'){
                /* Αν έχουμε Αγγλικά, η περιγραφή είναι μέσα στο ename */
                echo $omada['ename'];
            }else{
                /* Για οποιαδήποτε άλλη γλώσσα, η περιγραφή είναι μέσα στο name */
                echo $omada['name'];
            }
            echo '</a></div>';
            
            
            $close_sub = '';
            /* Αν έχουμε υποομάδες εισάγουμε τις κλάσεις και τα elements για να κάνουμε φτιάξουμε dropdown menu */
            if(!empty($omada['herd02arr'])){
                echo '<b data-toggle="collapse" data-target="#submap'.$count.'" class="pg_footer_arrows"></b>';
                echo '<dl id="submap'.$count.'" class="submap pg_nav_collapse collapse">';
                $close_sub = '<dd></dd></dl>';
            }
            /* Υποομάδες επιλογών. Συμπεριλαμβάνονται οι οικογένειες */
            foreach ($omada['herd02arr'] as $herd02nr01 => $ypoomada) {
                if($ypoomada['type']==2){
                    /* Η Υποομάδα είναι τύπου σύνδεσμος */
                    $url = pegasus_getUrl('', 0, $ypoomada['z21pcode']);
                    $herd02pcode = $ypoomada['z21pcode'];
                }else{
                    /* Η Υποομάδα είναι τύπου κείμενο */
                    $url = pegasus_getUrl('herd02', $herd02nr01);
                    $herd02pcode = pegasus_mysql_printfld('z21', 'pcode', ' nr='.$herd02nr01.' and tb="herd02" ');
                }
                if(empty($url)){
                    $url = '#';
                }
                
                
                /* display ypo-omades */
                echo '<dt><a href="'.$url.'">';   
                if($_SESSION['lang']=='EN'){
                    echo $ypoomada['ename'];
                }else{
                    echo $ypoomada['name'];
                }
                echo '</a></dt>';  


                $close_sub_sub = '';
                /* Αν έχουμε οικογένειες...*/
                if(!empty($ypoomada['herd03arr'])){
                    echo '<b data-toggle="collapse" data-target="#sub_submap'.$count.'" class="pg_footer_arrows_sub"></b>';
                    echo '<dl id="sub_submap'.$count.'" class="sub_submap pg_nav_collapse collapse">';
                    $close_sub_sub = '<dd></dd></dl>';
                }
                
                 /* Οικογένειες επιλογών. */
                foreach ($ypoomada['herd03arr'] as $herd03nr01 => $oikogeneia) {
                    if($oikogeneia['type']==2){
                        /* Η Οικογένεια είναι τύπου σύνδεσμος */
                        $url = pegasus_getUrl('', 0, $oikogeneia['z21pcode']);
                        $herd03pcode = $oikogeneia['z21pcode'];
                    }else{
                        /* Η Οικογένεια είναι τύπου κείμενο */
                        $url = pegasus_getUrl('herd03', $herd03nr01);
                        $herd03pcode = pegasus_mysql_printfld('z21', 'pcode', ' nr='.$herd03nr01.' and tb="herd03" ');
                    }
                    if(empty($url)){
                        $url = '#';
                    }
                    
                    /* display oikogeneies */
                    echo '<dt><a href="'.$url.'">';
                    if($_SESSION['lang']=='EN'){
                        echo $oikogeneia['ename'];
                    }else{
                        echo $oikogeneia['name'];
                    }
                    echo '</a></dt>';
                }
                echo $close_sub_sub;  
            }
            echo $close_sub;
            echo '</div>'; //close div#map
        }
        
            
    }
?>