//jQuery(document).ready(function($j) {
//				function megaHoverOver(){
//					$j(this).find(".dropdown-menu").stop().fadeTo('fast', 1).show();
//				}
//
//				function megaHoverOut(){ 
//					$j(this).find(".dropdown-menu").stop().fadeTo('fast', 0, function() {
//						$j(this).hide(); 
//					});
//				}
//
//				var config = {    
//					sensitivity: 2, // number = sensitivity threshold (must be 1 or higher)    
//					interval: 100, // number = milliseconds for onMouseOver polling interval    
//					over: megaHoverOver, // function = onMouseOver callback (REQUIRED)    
//					timeout: 500, // number = milliseconds delay before onMouseOut    
//					out: megaHoverOut // function = onMouseOut callback (REQUIRED)    
//				}
//
//				if($j('.pg_arrows').css('display')=='none'){
//					$j(".pg_nav > li > .dropdown-menu").css({'opacity':'0'});
//					jQuery(".pg_nav li.dropdown").hoverIntent(config);
//					
//				}
//
//				$j('.pg_footer_arrows').click(function () {
//					$(this).toggleClass('pg_active_arrows');
//				});
//
//				$j('.pg_menu_arrows').click(function (){
//					$(this).toggleClass('pg_active_arrows');
//				});
//			});



jQuery(document).ready(function() {


	megaHoverStartsAtWidth = 992;
	/* megaHover Navigation */
	var hoverType = "hoverAll";
	//var hoverType = "levelByLevel";
	var extra_tag = "";
	var hoverClass = "pg_mega";
	if (hoverType=="levelByLevel"){
		extra_tag = "> ";
		hoverClass = "pg_lvl";
	}

	megaHoverStartsAtWidth = 992;
	function megaHoverOver(){
		if (jQuery(window).width() >= megaHoverStartsAtWidth) {
			jQuery("#mainnav").addClass(hoverClass);
			jQuery(this).find(extra_tag + ".dropdown-menu").stop().fadeTo('fast', 1).show();
		} else {
			jQuery("#mainnav").removeClass(hoverClass);
			jQuery(this).find(extra_tag + ".dropdown-menu").css('opacity','').css('display','');
		}
	}

	function megaHoverOut(){
		if (jQuery(window).width() >= megaHoverStartsAtWidth) {
			jQuery(this).find(extra_tag + ".dropdown-menu").stop().fadeTo('fast', 0).hide();
		}else {
			jQuery(this).find(extra_tag + ".dropdown-menu").css('opacity','').css('display','');
		}
	}


	/* Display each dropdown level of omadopoihsi after hover */
	function levelHover(dropdownMenu, direction){

		var css_pos = "left";
		if (direction==1){
			css_pos = "right";
		}

		jQuery('' + dropdownMenu +'').css('opacity','0').css('display','none');

		jQuery('' + dropdownMenu +'').parent().hover(function(){
			if (jQuery(window).width() >= megaHoverStartsAtWidth) {
				var left_position = jQuery(this).width();

				jQuery(this).find('' + dropdownMenu +'').css(css_pos, left_position + 'px').css('top','-5px');
				jQuery(this).find('' + dropdownMenu +'').stop().fadeTo('fast', 1).show();
			} else {
				jQuery(this).find('' + dropdownMenu +'').css(css_pos, '').css('top','');
				jQuery(this).find('' + dropdownMenu +'').css('opacity','').css('display','');
			}

		}, function(){
			if (jQuery(window).width() >= megaHoverStartsAtWidth ) {
				jQuery(this).find('' + dropdownMenu +'').stop().fadeTo('fast', 0).hide();
			}else{
				jQuery(this).find('' + dropdownMenu +'').css('opacity','').css('display','');
			}
		});
	}



	var config = {
		sensitivity: 2, // number = sensitivity threshold (must be 1 or higher)
		interval: 100, // number = milliseconds for onMouseOver polling interval
		over: megaHoverOver, // function = onMouseOver callback (REQUIRED)
		timeout: 500, // number = milliseconds delay before onMouseOut
		out: megaHoverOut // function = onMouseOut callback (REQUIRED)
	};

	/* initialize hoverIntent */
	/* top nav */
	jQuery("#topnav > li > ul.dropdown-menu").css({'display':'none'});
	jQuery("#topnav > li.dropdown").hoverIntent(config);

	/* mainnav */
	jQuery("#mainnav > li > ul.dropdown-menu").css({'display':'none'});
	jQuery("#mainnav > li.dropdown").hoverIntent(config);
	//levelHover('ul.category_29');
	//levelHover('ul.category_30');






	/* Responsive Navigation */
	/* Top Menu - Epiloges */
	jQuery('#topnav li > b.pg_arrows').click(function(event) {
		event.preventDefault();
		event.stopPropagation();
		var openLi = jQuery(this).parent();
		if ((openLi).hasClass('open')){
			openLi.parent().find("li.dropdown").removeClass('open');
		}else{
			openLi.parent().find("li.dropdown").removeClass('open');
			openLi.addClass('open');
		}
		setTimeout(function(){
			jQuery('html,body').animate({
				scrollTop: jQuery(openLi).parent().offset().top - 50}, '800');
		}, 300);
	});


	/* Main Menu - multiEpiloges */
	/* after hoverIntent should unbind first and then rebind */
	jQuery(window).resize(function(){
		if(jQuery(this).width()<=megaHoverStartsAtWidth) {
			// Override Bootstrap Nav Menu
			// li a.dropdown_btn OR li b.pg_arrows
			jQuery('#mainnav li a.dropdown_btn').unbind('click.mainNavigation');
			jQuery('#mainnav li a.dropdown_btn').bind('click.mainNavigation', function(event) {
				// Avoid following the href location when clicking
				// Avoid having the menu to close when clicking
				event.preventDefault(); 			
				event.stopPropagation();
				// remove class "open" (close dropdowns) from all <li> of the same sub category
				// add class "open" (open this dropdown) of clicked li
				var openLi = jQuery(this).parent();
				if ((openLi).hasClass('open')){
					openLi.parent().find("li.dropdown").removeClass('open');
				}else{
					openLi.parent().find("li.dropdown").removeClass('open');
					openLi.addClass('open');
				}
				setTimeout(function(){
					jQuery('html,body').animate({
						scrollTop: jQuery(openLi).position().top - 50}, '800');
				}, 300);
			});	
		}else{
			jQuery('#mainnav li a.dropdown_btn').unbind('click.mainNavigation');
			jQuery("#mainnav li.dropdown").each(function(){
				jQuery(this).removeClass('open');
			});
		}	
	});




	jQuery('.pg_footer_arrows').click(function () {
		jQuery(this).toggleClass('pg_active_arrows');
	});

	jQuery('.pg_menu_arrows').click(function (){
		jQuery(this).toggleClass('pg_active_arrows');
	});
	

	jQuery(window).trigger('resize');
});


function BootstrapModalPopUpDestroy(name){
	jQuery('#'+name).remove();
	jQuery('.modal-backdrop').remove();	
}

function BootstrapModalPopUpClose(name){
	jQuery('#'+name).modal('hide');
	jQuery('#'+name).on('hidden.bs.modal', function (){
		BootstrapModalPopUpDestroy(name);
  		//console.log('hidden');
	}); 
}	
function BootstrapModalPopUp(link, name, width, height, title){
	
	BootstrapModalPopUpDestroy(name);
	
	var html_code = '';
	var new_width = parseInt(width);
	
	var modal_size = '';
	if(new_width>600){
		modal_size = "modal-lg";
	}else if(new_width<310){
		modal_size = "modal-sm";
	}
	html_code = '<div id="'+name+'" class="modal fade" aria-labelledby="'+name+'Label" role="dialog aria-hidden="true" tabindex="-1">';
	html_code = html_code+'<div class="modal-dialog '+modal_size+'">';
	html_code = html_code+'<div class="modal-content">';
	html_code = html_code+'<div class="modal-header">';
	//html_code = html_code+'<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>';
	html_code = html_code+'<button type="button" class="close" aria-label="Close" onclick="BootstrapModalPopUpClose(\''+name+'\');"><span aria-hidden="true">&times;</span></button>';
	if(title!=''){
		html_code = html_code+'<h4 class="modal-title" id="'+name+'Label">'+title+'</h4>';
	}
	html_code = html_code+'</div><div class="modal-body"></div>';
	html_code = html_code+'<div class="modal-footer"></div>';
	html_code = html_code+'</div></div></div>';
	jQuery('body').append(html_code);
	jQuery('#'+name+' .modal-body').load(link);

	jQuery('#'+name).on('show.bs.modal', function(){
						}).modal({  //backdrop: 'static',
	        						//keyboard: false,
	        						show: true
								});
	
	jQuery('#'+name).on('shown.bs.modal', function (){}); 
}


(function($){
	$.fn.UItoTop = function(options) {
		var defaults = {
				text: 'To Top',
				min: 200,
				inDelay:600,
				outDelay:400,
				containerID: 'toTop',
				containerHoverID: 'toTopHover',
				scrollSpeed: 1200,
				easingType: 'linear'
			},
			settings = $.extend(defaults, options),
			containerIDhash = '#' + settings.containerID,
			containerHoverIDHash = '#'+settings.containerHoverID;

		$('body').append('<a href="#" id="'+settings.containerID+'">'+settings.text+'</a>');
		$(containerIDhash).hide().on('click.UItoTop',function(){
			$('html, body').animate({scrollTop:0}, settings.scrollSpeed, settings.easingType);
			$('#'+settings.containerHoverID, this).stop().animate({'opacity': 0 }, settings.inDelay, settings.easingType);
			return false;
		})
		.prepend('<span id="'+settings.containerHoverID+'"></span>')
		.hover(function() {
				$(containerHoverIDHash, this).stop().animate({
					'opacity': 1
				}, 600, 'linear');
			}, function() {
				$(containerHoverIDHash, this).stop().animate({
					'opacity': 0
				}, 700, 'linear');
			});

		$(window).scroll(function() {
			var sd = $(window).scrollTop();
			if(typeof document.body.style.maxHeight === "undefined") {
				$(containerIDhash).css({
					'position': 'absolute',
					'top': sd + $(window).height() - 50
				});
			}
			if ( sd > settings.min )
				$(containerIDhash).fadeIn(settings.inDelay);
			else
				$(containerIDhash).fadeOut(settings.Outdelay);
		});
	};
})(jQuery);