<?php
    $_SESSION['new_order_en'] = 1;
?>
<?php   
    ob_start();
    makebanner(0, $pcode, 1);
    $left_banner_html = ob_get_contents();
    ob_end_clean();
    
    ob_start();
    makebanner(1, $pcode, 1);
    $right_banner_html = ob_get_contents();
    ob_end_clean();

    ob_start();
    makebanner(2, $pcode, 1);
    $top_banner_html = ob_get_contents();
    ob_end_clean();
    
    ob_start();
    makebanner(4, $pcode, 1);
    $bottom_banner_html = ob_get_contents();
    ob_end_clean();

    ob_start();
    makebanner(5, $pcode, 1);
    $middle_banner_html = ob_get_contents();
    ob_end_clean();    
?>

<!DOCTYPE html>
<html <?php 
        	if($psb_class instanceof kernelclass){
        		echo ' xml:lang="' . $psb_class::getLangISO6391() . '" ';
        		echo ' lang="' . $psb_class::getLangISO6391() . '" ';
        		echo ' prefix="'. $psb_class->getopenGraphPrefix() .'" ';
        	}
      ?>
>
	<head>
		<?php 
			if($psb_class instanceof kernelclass)
				echo $psb_class->printHeaderTags();
		?>
		<title><?php echo $psbtitle; ?></title>
		
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset; ?>">
		<meta http-equiv="Content-Language" content="<?php echo $psblang; ?>">
		<meta name="description" content="<?php echo $psbdesc; ?>">
		<meta name="keywords" content="<?php echo $psbkeyword; ?>">
		<meta name="author" content="<?php echo $psbauthor; ?>">
		<meta name="distribution" content="Global">
		<meta name="robots" content="FOLLOW,INDEX">
		<meta content="no-cache" name="cache-control">
		<meta name="document-rating" content="Safe for Kids">
		<link rel="icon" href="/css/template_027/cssimgs/favicon.ico" type="image/x-icon"> 
		
		<?php echo $modules_css; ?>
		<link href="<?php
						if(file_exists($_SESSION['css_path'] . '/jquery.css')){
							echo $_SESSION['css_path'] . '/jquery.css';
						}else{
							echo '/css/default/jquery.css';
						}
					?>" rel="stylesheet" type="text/css">
		<link href="<?php echo  $_SESSION['css']; ?>" rel="stylesheet" type="text/css">
		
		<?php echo $scriptJQuery; ?>
		<script type="text/javascript" src="/js/jquery.tools.min.js"></script>
		<script type="text/javascript" src="/js/bootstrap_js/bootstrap.min.js"></script>
		<script type="text/javascript" src="/js/jquery.hoverIntent.minified.js"></script>
        <script type="text/javascript" src="/js/bootstrap_js/bootstrap-tabcollapse.js"></script>
		<script type="text/javascript" src="/pegasus/templates/template_027.js"></script>

	</head>
	
	<body id="body" class="pcode_<?php echo $pcode; ?>">
		<div id="maindiv">
			<div id="header" class="pg_container">
				<div id="pg_logo">
					<?php echo $top_banner_html; ?>
				</div>
				<div id="pg_rtopcontent">
					<?php require_once'../templates/epilogesFullKernel.php'; ?>
					<div class="search_div">
						<form id="search1" name="search1" action="/pegasus/products01/list00.php" method="GET">
							<input id="searchfield" class="pg_search_control inputbox" type="text" name="p02" placeholder="<?php echo dicsearch; ?>" alt="<?php echo dicsearch; ?>">
							<a id="search_button" href="javascript: document.search1.submit();"><i class="fa fa-search"></i></a>
						</form>
					</div>
				</div>
			</div>
			<div id="mainnav00" class="pg_container">
				<div id="pg_mainmenu">
					<?php 
    					$position = 0;
    					$type = 'only_omades_eid';
    					require_once ('../templates/multi_epiloges_omades_full_kenrel.php');
					?>
				</div>
			</div>
			<div id="header2" class="pg_container">
				<div class="header21">
					<div class="socials_div">
						<span class="social_desc"><?php echo dic_follow_us; ?></span>
						<a class="social" href="#"><img src="/css/template_027/cssimgs/fb.png" /></a>
					</div>
				</div>
				<div class="header22">
					<div class="basket02">
						<div id="basket" class="basket00"><?php require_once'../orders_banner_sme/basket01.php';?></div>
					</div>
				</div>
			</div>
			
			<div id="main_content" class="pg_container">
			
					<?php
                    	/* Give the proportional width to the main column */
                    	if (empty($left_banner_html) && empty($right_banner_html)) {
                    		$main_class = "pg_full_width";
                    	} elseif (empty($left_banner_html) || empty($right_banner_html)) {
                    		$main_class = "pg_LorR_banner";
                    		$banner_class = "pg_LorR_banner";
                    	} else {
                    		$main_class = "pg_LandR_banner";
                    		$banner_class = "pg_LandR_banner";
                    	}
                    ?>
					
					
					<div class="pg_rows">
						<?php
                            /* check for middle banner and display */
                            if(!empty($middle_banner_html)){
                                echo '<div id="pg_middlebanner" class="pg_container' . $middle_banner_html . '</div>';
                            }
                        ?>
					</div>
					
					<hr>
					
					<?php
                    	/* breadcrumbs new */
                    	$psbtitlearr = explode('->', $psbtitle);
                    	$tmp_title = strip_tags(end($psbtitlearr));
                    
                    	if($_SESSION['lang']=='EN'){
                    		$mtit_len = strlen($_SESSION['emt_tit']);
                    	}else{
                    		$mtit_len = strlen($_SESSION['mt_tit']);
                    	}
                    	if($mtit_len>0){
                    		$new_title = substr($tmp_title, 0, $mtit_len*(-1));
                    	}else{
                    		$new_title = $tmp_title;
                    	}
                    	$template_page_title = $page_title;
                    	if(empty($page_title)){
                    		$template_page_title = $new_title;
                    	}
                    
                    	if((strtoupper($pcode)!='H001_INDEX') && ($psbtitle!=' ')){
                    		echo '<div id="path" class="maintbl_head"><div id="mtitle">';
                    		echo '<a href="'.pegasus_getUrl('', 0 , 'H001_INDEX').'">'.dic_sme_home.'</a>&nbsp;<span>&raquo;</span>&nbsp;';
                    		echo str_replace("->", "&raquo;", $page_title);
                    
                    		if(strpos(strtoupper($pcode), 'HOW_PROD')>0) {
                    			echo ' &raquo; ';
                    		}
                    		
                    		if(strpos($mainmethod, 'products01/list')===FALSE and strpos($mainmethod, 'h002/keim')===FALSE){
                    			echo '<span class="prod_title">'.$new_title.'</span>';
                    		}
                    			
                    		
                    		echo '</div></div>';
                    	}
                    ?>
					
					<div class="pg_rows">
					
						<?php 
                        	/* check for left banner and display */                  
                        	if(!empty($left_banner_html)){
                        	  echo '<div id="pg_leftcolumn" class="' . $banner_class . '">' . $left_banner_html . '</div>';
                        	}
                        ?>
						<div id="pg_maincolumn" class="<?php echo $main_class; ?>">
							<div class="pg_container maincol">
								<table id="maincolumn_table" border="0" cellspacing="0" cellpadding="0" width="100%">
									<?php require_once($mainmethod); ?>
								</table>
							</div>
						</div>
						
						<?php
                        	/* display right banner */
                           if(!empty($right_banner_html)){
                        	 echo '<div id="pg_rightcolumn" class="' . $banner_class . '">' . $right_banner_html . '</div>';
                           }
                        ?>

				</div>
			</div>
			
			<div id="footer1" class="pg_container">
					<?php
                        /* check for bottom banners (position 4) and display */
                        if(!empty($bottom_banner_html)){
                            echo '<div id="footer_banners" class="pg_container">' . $bottom_banner_html . '</div>';
                        }
                    ?>

					<div id="pg_sitemap">
						<?php 
                            require_once '../templates/sitemap.php';
                            sitemap_kernel(4);                                
                        ?>
					</div>
			</div>
			
			<div id="pg_footer">
				<div class="copyright">
					&copy; Copyright <?php echo $_SESSION['copy']; ?>
					<a href="#" target="_blank"></a>
				</div>
				<div class="poweredby">
					<div class="pg_pull_right">Powered by 
						<a href="http://www.pegasus.net.gr" target="_blank">Pegasus Technology</a>
					</div>
				</div>
			</div>
		</div>
	</body>
</html>